/********************************************************************************
 * MIT License

 * © Copyright 2023 Adobe. All rights reserved.

 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 ********************************************************************************/
import { BaseCommand } from "@adobe/ccweb-add-on-analytics";
import type { Config } from "@oclif/core";
import { Arg, CustomOptions, OptionFlag } from "@oclif/core/lib/interfaces/parser.js";
import "reflect-metadata";
/**
 * Implementation class of the create-ccweb-add-on command.
 */
export declare class Create extends BaseCommand {
    private readonly _addOnFactory;
    static description: string;
    static examples: string[];
    static flags: {
        entrypoint: OptionFlag<string, CustomOptions>;
        template: OptionFlag<string, CustomOptions>;
    };
    static args: {
        name: Arg<string, Record<string, unknown>>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    catch(error: {
        message: string;
    }): Promise<void>;
}
//# sourceMappingURL=create.d.ts.map